import java.awt.event.ActionEvent;

import SecureBlackbox.PGP.TElPGPKeyring;

public class PanelSelectSignersDescriptor extends WizardPanelDescriptor {
    public static final String IDENTIFIER = "SKEYS_PANEL";
    public static final PanelSelectSigners panel = new PanelSelectSigners();
    
    public PanelSelectSignersDescriptor() {
        super(IDENTIFIER, panel);
    }
    
    public Object getNextPanelDescriptor() {  
    	return PanelSelectDestDescriptor.IDENTIFIER;
    }
    
    public Object getBackPanelDescriptor() {
        return PanelProtectionDescriptor.IDENTIFIER;
    }
    
    public void displayingPanel() {
    	panel.LoadKeys();
    }
    
    public static TElPGPKeyring getKeys(){
    	return panel.getKeys();
    }  

    public void aboutToDisplayPanel(){
    	setNextButtonAccordFields();
    }
   
	private void setNextButtonAccordFields() {
		getWizard().setNextFinishButtonEnabled(panel.isFieldsValidated());
		
	}

	public void actionPerformed(ActionEvent e) {
    	setNextButtonAccordFields();
    }    
}
