import java.awt.BorderLayout;
import java.awt.FlowLayout;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;


public class AboutDialog extends JDialog {
	private static final long serialVersionUID = 1L;
	private final JPanel contentPanel = new JPanel();

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		try {
			AboutDialog dialog = new AboutDialog();
			dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
			dialog.setVisible(true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * Create the dialog.
	 */
	public AboutDialog() {
		setTitle("About");
		setBounds(100, 100, 288, 172);
		getContentPane().setLayout(new BorderLayout());
		contentPanel.setBorder(new EmptyBorder(5, 5, 5, 5));
		getContentPane().add(contentPanel, BorderLayout.CENTER);
		contentPanel.setLayout(null);
		
		JLabel lblElsimplesftpclientDemoApplication = new JLabel("ElSimpleSftpClient Demo Application");
		lblElsimplesftpclientDemoApplication.setBounds(33, 21, 245, 14);
		contentPanel.add(lblElsimplesftpclientDemoApplication);
		
		JLabel lblEldosSecureblackboxLibrary = new JLabel("EldoS SecureBlackbox library (Java edition)");
		lblEldosSecureblackboxLibrary.setBounds(26, 46, 259, 14);
		contentPanel.add(lblEldosSecureblackboxLibrary);
		
		JLabel lblCopyrightc = new JLabel("Copyright (C) 2004-2012 EldoS Corporation");
		lblCopyrightc.setBounds(26, 71, 236, 14);
		contentPanel.add(lblCopyrightc);
		{
			JPanel buttonPane = new JPanel();
			buttonPane.setLayout(new FlowLayout(FlowLayout.RIGHT));
			getContentPane().add(buttonPane, BorderLayout.SOUTH);
			{
				JButton okButton = new JButton("OK");
				okButton.addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent e) {
						dispose();
					}
				});
				okButton.setActionCommand("OK");
				buttonPane.add(okButton);
				getRootPane().setDefaultButton(okButton);
			}
		}
	}
}
